<?
    if (isset($_POST['cfms'])) {
        $name = system :: check($_POST['name']);
        $msg_str = system :: utf_strlen($name);
        if ($msg_str >= 1) {
            if ($msg_str <= 20) {
                if (isset($_POST['admin']) && $_POST['admin'] == 1)
                {
                    $privat = 1;
                } else {
                    $privat = 0;
                }
    			if (DB :: $pdo -> query("INSERT INTO `gifts_kat` (`name`, `admin`) VALUES (?, ?);", array($name, $privat))) {			
    				system :: redirect("Категория успешно добавлена.", "{$thisLink}&add_kat");
    			} else { $errMsg = "Неизвестная ошибка.!"; }
            } else { $errMsg = "Название превышает 20 знаков!"; }
        } else { $errMsg = "Пустое название!"; }
    }
    if (isset($errMsg)) {
        system :: show($errMsg);
    }
    ?>
    <div class="list">
        <form method="post" class="post-add" data-type="arbour" action="">
        <div class="_gray _dbl">Название:</div>
        <input class="main-input _w-100" type="text" name="name" />
        <div class="sim_gifts20">
            <label><input name="admin" value="1" type="checkbox" /> Только для администраторов</label>
        </div>
        <div class="_center" style="margin-top: 3px;">
            <input type="submit" class="main-btn _w-100" name="cfms" value="Продолжить" />
        </div>
        </form>
    </div>
    <?
    echo system :: back("{$thisLink}", "Назад");
    require (CORE."foot.php");
    ?>